:root {
    --primary-pink: #ea008a;
    --primary-blue: #0054a4;
    --primary-black: #191613ff;
    --primary-gold: #c3a52d;
    --secondary-gold: #c5aa2e;
    --thrird-gold: #edda42;
    --fourth-gold: #fcf28c;
}

.main-register-login-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    min-height: 100vh;
    background-image: url(../assets/fondo_login_registro.jpg);
    background-size: cover;
    background-position: center;
}

.logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
}

.logo-container img {
    width: 100%;
    height: auto;
    max-width: 650px;
    margin-left: 15%;
}

.register-login-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    padding: 30px;
}

.login-container-main {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
}

.form-login-register-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    min-width: 400px;
    padding: 30px;
    background-color: rgba(209, 209, 209, 0.5);
    border-radius: 20px;
    border: 5px solid rgb(236, 236, 236); 
}

.login-container {
    width: 100%;
}

.login-title {
    text-align: center;
    font-size: 1.8rem;
    margin-bottom: 20px;
    color: var(--primary-pink);
    text-transform: uppercase;
    font-family: 'MaisonNeueExtendedExtraBold', sans-serif;
}

.login-form {
    display: flex;
    width: 100%;
    flex-direction: column;
}

.register-form-error {
    color: #ff0000;
    font-size: 0.9rem;
    margin-top: 10px;
}


.form-group {
    margin-bottom: 15px;
}

.form-group-link {
    margin-bottom: 15px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 5px;
    justify-content: center;
    align-items: center;
}

.form-label {
    display: block;
    margin-bottom: 5px;
    font-size: 0.9rem;
    color: var(--primary-black);
    font-family: 'MaisonNeueExtendedExtraBold', sans-serif;
}

.form-input {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
}

.form-error {
    color: #ff0000;
    font-size: 12px;
    margin-top: 5px;
}

.form-remember {
    display: flex;
    align-items: center;
    color: #fff;
}

.form-remember-label {
    display: flex;
    align-items: center;
}

.form-checkbox {
    margin-right: 10px;
}

.recuerdame-text {
    font-size: 0.9rem;
}

.form-link {
    color: var(--primary-black);
    text-decoration: none;
    font-size: 14px;
    text-align: right;
    display: block;
}

.form-link-pass {
    color: var(--primary-black);
    text-decoration: none;
    font-size: 13px;
    text-align: right;
    display: block;
}

.form-link-pass:hover{
    text-decoration: underline;
    cursor: pointer;
    color: var(--primary-pink);
}

.form-link-p {
    color: var(--primary-black);
    text-decoration: none;
    font-size: 14px;
    text-align: center;
    display: block;
}

.form-link-p span {
    display: block;
    margin-top: 5px;
}

.form-link-p a {
    text-decoration: none;
    color: var(--primary-pink);
    cursor: pointer;
}

.form-group-button {
    margin-bottom: 15px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.form-button {
    width: 65%;
    padding: 10px;
    background: linear-gradient(to right, var(--primary-blue), var(--primary-pink));
    color: white;
    border: none;
    border-radius: 20px;
    font-size: 20px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-family: 'MaisonNeueExtendedExtraBold', sans-serif;
}

/* Media Query Mobile */

@media screen and (max-width: 768px) {
    .main-register-login-container {
        flex-direction: column;
        background-image: url(../assets/fondo_login_registro_mobile.jpg);
        background-position: 70%;
    }

    .logo-container {
        width: 100%;
    }

    .logo-container img {
        width: 80%;
        margin-right: 15%;
    }

    .register-login-container {
        width: 100%;
    }

    .login-container-main {
        width: 100%;
        margin-top: 20px;
        margin-bottom: 33%;
    }

    .form-login-register-container {
        width: 100%;
        padding: 20px;
        min-width: 0;
    }

    .login-title {
        font-size: 1.5rem;
    }

    .form-input {
        padding: 5px;
    }

    .form-button {
        padding: 5px;
        font-size: 16px;
    }
}
